Page MenuHomePhabricator

Collect client network errors, deprecation, intervention and crash reports
Closed, DuplicatePublic

Description

Chrome 69 added support of these APIs:

Which would allow us to automatically collect a number of user agent errors that we currently have no visibility on.

Since those reports contain individual details, I think the logical location to send them is logstash.

Event Timeline

Gilles created this task.Oct 24 2018, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2018, 4:21 PM
Peter added a subscriber: Peter.Oct 29 2018, 4:19 PM
ssingh added a subscriber: ssingh.Feb 28 2019, 5:50 PM

Will go nicely with EventGate.

Krinkle triaged this task as Medium priority.Jun 6 2019, 10:22 AM
CDanis added a subscriber: CDanis.Mar 25 2020, 7:50 PM
Gilles closed this task as Resolved.May 20 2020, 5:50 PM
Gilles claimed this task.

Not a performance thing per se.

CDanis reopened this task as Open.May 22 2020, 12:05 AM
CDanis removed Gilles as the assignee of this task.

SRE is interested in collecting at least network error reports.

Krinkle removed a subscriber: Krinkle.
fgiunchedi moved this task from Inbox to Backlog on the observability board.Jul 2 2020, 1:58 PM
ema moved this task from Triage to Watching on the Traffic board.Jul 8 2020, 7:27 AM